=== debian/changelog ===
ros-iron-transmission-interface (3.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 23:00:00 -0000

ros-iron-transmission-interface (3.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-iron-transmission-interface (3.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-iron-transmission-interface (3.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-iron-transmission-interface (3.14.0-1jammy) jammy; urgency=high

  * Add -Wconversion flag to protect future developments (#1053 <https://github.com/ros-controls/ros2_control/issues/1053>)
  * enable ReflowComments to also use ColumnLimit on comments (#1037 <https://github.com/ros-controls/ros2_control/issues/1037>)
  * Contributors: Sai Kishor Kothakota, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-iron-transmission-interface (3.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 May 2023 23:00:00 -0000

ros-iron-transmission-interface (3.12.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-iron-transmission-interface (3.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-iron-transmission-interface (3.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-iron-transmission-interface (3.11.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 00:00:00 -0000

ros-iron-transmission-interface (3.10.0-1jammy) jammy; urgency=high

  * Split transmission interfaces (#938 <https://github.com/ros-controls/ros2_control/issues/938>)
  * Contributors: Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Mar 2023 00:00:00 -0000

ros-iron-transmission-interface (3.9.1-1jammy) jammy; urgency=high

  * Fix missing include (#963 <https://github.com/ros-controls/ros2_control/issues/963>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-iron-transmission-interface (3.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-iron-transmission-interface (3.8.0-1jammy) jammy; urgency=high

  * Fix CMake install so overriding works (#926 <https://github.com/ros-controls/ros2_control/issues/926>)
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-iron-transmission-interface (3.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-iron-transmission-interface (3.6.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-iron-transmission-interface (3.5.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-iron-transmission-interface (3.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-iron-transmission-interface (3.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-iron-transmission-interface (3.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Nov 2022 00:00:00 -0000

ros-iron-transmission-interface (3.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Oct 2022 23:00:00 -0000

ros-iron-transmission-interface (3.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-iron-transmission-interface (3.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-iron-transmission-interface (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-iron-transmission-interface (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-iron-transmission-interface (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-iron-transmission-interface (2.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-iron-transmission-interface (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-iron-transmission-interface (2.11.0-1jammy) jammy; urgency=high

  * [Interfaces] Improved ```get_name()``` method of hardware interfaces #api-breaking (#737 <https://github.com/ros-controls/ros2_control/issues/737>)
  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Remove ament autolint (#749 <https://github.com/ros-controls/ros2_control/issues/749>)
  * Fixup ament cpplint on 22.04 (#747 <https://github.com/ros-controls/ros2_control/issues/747>)
  * Contributors: Bence Magyar, Denis Štogl, Lucas Schulze

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-iron-transmission-interface (2.10.0-1jammy) jammy; urgency=high

  * CMakeLists cleanup (#733 <https://github.com/ros-controls/ros2_control/issues/733>)
  * Update to clang format 12 (#731 <https://github.com/ros-controls/ros2_control/issues/731>)
  * Contributors: Andy Zelenak, Bence Magyar


