=== debian/control ===
Source: ros-iron-transmission-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-hardware-interface, ros-iron-pluginlib, ros-iron-ros-workspace
Description: transmission_interface contains data structures for representing mechanical transmissions, methods for propagating values between actuator and joint spaces and tooling to support this.
